Bug 746346 - lexical error: invalid string in json text (timestamp mess up?)
lexical error: invalid string in json text (timestamp mess up?)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-14 16:48 EDT by Nicolas Corrarello
Modified: 2012-06-07 15:39 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 15:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Corrarello 2011-10-14 16:48:22 EDT
Description of problem:

When opening the details of a  VM (which was sent to shut down from the guest os (F16 Beta)), I got the following message:


Error launching details: internal error cannot parse json {"ti"timest":amp": {"secon 1318621201862120micromicondcs":econds69316}, "evene": "SPIvenDISCONNECtED", "da":": { "erver"SP{"port": "5900"T "familyE: "ipD4",", "data27.0.0.1"}, "clien ": {"port{: "44692"port": "590ipv0", "hos, ": "12family".0"ipv4", .1ost": "}}}"127.0.0.1"}, "client": {"port": "44690", "family": "ipv4", "host": "127.0.0.1"}}}: lexical error: invalid string in json text.
                                  {"ti"timest":amp": {"secon 131862120
                     (right here) ------^


Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 751, in _show_vm_helper
    details.activate_default_page()
  File "/usr/share/virt-manager/virtManager/details.py", line 1374, in activate_default_page
    self.activate_default_console_page()
  File "/usr/share/virt-manager/virtManager/details.py", line 1359, in activate_default_console_page
    if self.vm.get_graphics_devices() or not self.vm.get_serial_devs():
  File "/usr/share/virt-manager/virtManager/domain.py", line 937, in get_graphics_devices
    return self._build_device_list("graphics")
  File "/usr/share/virt-manager/virtManager/domain.py", line 916, in _build_device_list
    inactive=inactive)
  File "/usr/share/virt-manager/virtManager/domain.py", line 339, in _get_guest
    xml = self._get_domain_xml(inactive, refresh_if_necc)
  File "/usr/share/virt-manager/virtManager/domain.py", line 331, in _get_domain_xml
    refresh_if_necc=refresh_if_necc)
  File "/usr/share/virt-manager/virtManager/libvirtobject.py", line 95, in get_xml
    self.refresh_xml()
  File "/usr/share/virt-manager/virtManager/libvirtobject.py", line 105, in refresh_xml
    self._xml = self._XMLDesc(self._active_xml_flags)
  File "/usr/share/virt-manager/virtManager/domain.py", line 764, in _XMLDesc
    return self._backend.XMLDesc(flags)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 381, in XMLDesc
    if ret is None: raise libvirtError ('virDomainGetXMLDesc() failed', dom=self)
libvirtError: internal error cannot parse json {"ti"timest":amp": {"secon 1318621201862120micromicondcs":econds69316}, "evene": "SPIvenDISCONNECtED", "da":": { "erver"SP{"port": "5900"T "familyE: "ipD4",", "data27.0.0.1"}, "clien ": {"port{: "44692"port": "590ipv0", "hos, ": "12family".0"ipv4", .1ost": "}}}"127.0.0.1"}, "client": {"port": "44690", "family": "ipv4", "host": "127.0.0.1"}}}: lexical error: invalid string in json text.
                                  {"ti"timest":amp": {"secon 131862120
                     (right here) ------^


[sgtpepper@tardis ~]$ sudo virsh list
[sudo] password for sgtpepper: 
 Id Name                 State
----------------------------------
  2 F16MDTest            running



Version-Release number of selected component (if applicable):
[sgtpepper@tardis ~]$ rpm -q virt-manager
virt-manager-0.9.0-6.fc16.noarch
[sgtpepper@tardis ~]$ rpm -q libvirtd
package libvirtd is not installed
[sgtpepper@tardis ~]$ rpm -q libvirt
libvirt-0.9.6-2.fc16.x86_64
[sgtpepper@tardis ~]$ rpm -q qemu-kvm
qemu-kvm-0.15.0-5.fc16.x86_64
[sgtpepper@tardis ~]$

f16 Beta Host, F16Beta guest 

How reproducible:
Unknown

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Error message

Expected results:
Virtual machine console

Additional info:
Comment 1 Cole Robinson 2011-10-14 18:43:24 EDT
This is a libvirt or qemu issue, reassigning to libvirt for now
Comment 2 Fedora Admin XMLRPC Client 2011-11-30 14:32:48 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-11-30 14:36:26 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:43:52 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:54:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Cole Robinson 2012-06-07 15:39:22 EDT
Since we haven't had any more reports of this, and it was F16 beta, I'm assuming this was fixed.

Note You need to log in before you can comment on or make changes to this bug.